/* 1:1 übernommen von pharmasuisse/cg */

$bg: #2F3837;

.image-zoom-link .b-image {
	cursor: pointer;
}

.image-zoom-overlay {
	position: absolute;
    display: none;
    overflow: hidden;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 100;
    
    &.image-zoom-open {
    	display: block;
    }
}

.image-zoom-bg {
	position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: $bg;
    opacity: 0;
    transform: translateZ(0);
    transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-zoom-allowed .image-zoom-button-zoom {
    display: block;
}

.image-zoom-animated-in {
	.image-zoom-bg {
		transition: none;
	}
	
	.image-zoom-zoom-wrap {
		transition: none;
	}
}

.container-transition {
	transition:transform 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-scroll-wrap {
	position: absolute;
    overflow: hidden;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.image-zoom-container {
	position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.image-zoom-item {
	position: absolute;
    overflow: hidden;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.image-zoom-zoom-wrap {
	position: absolute;
    width: 100%;
    transform-origin: left top;
    transition: transform 333ms cubic-bezier(0.4, 0, 0.22, 1), opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-img {
	position: absolute;
    width: auto;
    height: auto;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-overlay img {
	max-width: none;
}

.image-zoom-overview {
	position: absolute;
    display: none;
    overflow: hidden;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    margin-top: 27px;
    margin-right: 5%;
    margin-bottom: 5%;
    margin-left: 0%;
}

.image-zoom-ui {
	visibility: visible;
    z-index: 1550;
    opacity: 100;
    -webkit-font-smoothing: auto;
}

.image-zoom-top-bar {
	position: absolute;
    width: 100%;
    height: 44px;
    top: 0;
    left: 0;
    will-change: opacity;
    transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-counter {
	color: colors/$grey7;
    font-size: 13px;
    line-height: 44px;
    position: absolute;
    height: 44px;
    top: 0;
    left: 0;
    padding-top: 0 !important;
    padding-right: 15px !important;
    padding-bottom: 0 !important;
    padding-left: 15px !important;
    opacity: 75;
    margin-top: 0px;
    margin-bottom: 0px;
    padding: 0px;
    user-select: none;
	sv-txt-font: look/$font-a-regular;
}

.image-zoom-ui-one-slide .image-zoom-counter {
	display: none;
}

.image-zoom-button {
    appearance: none;
    transition: opacity 0.2s ease 0s;
    position: relative;
    display: block;
    float: right;
    overflow: visible;
    width: 44px;
    height: 44px;
    border-style: none;
    box-shadow: none;
    background-color: transparent;
    background-image: default/sprite-image-zoom;
    background-repeat: no-repeat;
    background-position: 13px 13px;
    opacity: 75;
    cursor: pointer;
}

.image-zoom-button:hover {
	opacity: 100;
}
	
.image-zoom-button-close {
    background-position: 14px -187px;
}

.image-zoom-supports-fs .image-zoom-button-fs {
	display: block;
}

.image-zoom-button-fs {
	display: none;
}

.image-zoom-button-zoom {
    display: none;
    background-position: 15px -88px;
}

.image-zoom-button-overview {
	position: relative;
    display: block;
    float: right;
    overflow: visible;
    width: 44px;
    height: 44px;
    border-style: none;
    box-shadow: none;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: 13px -387px;
    opacity: 75;
    cursor: pointer;
}

.image-zoom-button-arrow-right {
    position: absolute;
    width: 70px;
    height: 100px;
    top: 50%;
    right: 0;
    margin-top: -50px;
    background-repeat: no-repeat;
    background-position: 30px -256px;
}

.image-zoom-button-arrow-left {
    position: absolute;
    width: 70px;
    height: 100px;
    top: 50%;
    left: 0;
    margin-top: -50px;
    background-repeat: no-repeat;
    background-position: -75px -256px;
}

.image-zoom-has-mouse .image-zoom-button-arrow-left {
    backface-visibility: hidden;
    will-change: opacity;
    visibility: visible;
    transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-ui-hidden .image-zoom-button-arrow-right {
    opacity: 1;
}
.image-zoom-ui-hidden .image-zoom-button-arrow-left {
    opacity: 1;
}

.image-zoom-ui-one-slide .image-zoom-button-arrow-right {
    display: none !important;
}
.image-zoom-ui-one-slide .image-zoom-button-arrow-left {
    display: none !important;
}



.image-zoom-counter {
    color: colors/$grey7;
    font-size: 13px;
    line-height: 44px;
    sv-txt-font: look/$font-a-regular;
    position: absolute;
    height: 44px;
    top: 0;
    left: 0;
    padding-top: 0 !important;
    padding-right: 15px !important;
    padding-bottom: 0 !important;
    padding-left: 15px !important;
    opacity: 75;
    margin-top: 0px;
    margin-bottom: 0px;
}



.grid {
    font-size: 0px;
    margin: 0px;
    padding: 0px;
}
.grid-gutter-normal {
    margin-top: -30px;
    margin-left: -30px;
}
.image-zoom-overview .image-zoom-overlay-list > .grid-gutter-normal {
    margin: 0px;
}

.grid-item {
    vertical-align: top;
    position: relative;
    display: inline-block;
}
.grid-columns-3 > .grid-item {
    width: 33.33333%;
}
.grid-gutter-normal > .grid-item, .grid-gutter-normal .grid-item {
    padding-top: 30px;
    padding-left: 30px;
}

.image-zoom-overview .image-zoom-overlay-list > ul > .grid-item {
    overflow: hidden;
    cursor: pointer;
}
.image-zoom-overview .image-zoom-overlay-list > .grid-gutter-normal > .grid-item {
    padding-top: 5%;
    padding-left: 5%;
}

.image-zoom-overview .image-zoom-overlay-list > ul > .grid-item > div {
    position: relative;
    width: 100%;
    height: 1px;
    padding-bottom: 100%;
    background-color: colors/$grey1;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
}


.image-zoom-caption {
    position: absolute;
    width: 100%;
    min-height: 44px;
    bottom: 0;
    left: 0;
    display: none;
    opacity: 0;
    will-change: opacity;
    transition: opacity 333ms cubic-bezier(0.4, 0, 0.22, 1);
}

.image-zoom-caption-center {
	max-width: 80%;
    margin-top: 0;
    margin-right: auto;
    margin-bottom: 0;
    margin-left: auto;
    padding: 10px;
    text-align: center;
}

.image-zoom-caption .text {
	color: colors/$grey7;
	line-height: 1.4;
	font-size: look/$font-size-s;
}

.image-zoom-zoom-allowed .image-zoom-img {
    cursor: zoom-in;
}

.image-zoom-zoom-allowed .image-zoom-link {
    cursor: zoom-in;
}

.image-zoom-zoomed-in .image-zoom-img {
    cursor: grab;
}

.image-zoom-zoomed-in .image-zoom-button-zoom {
    background-position: -85px -88px;
}
